curl --location --request POST 'https://retailapiv2.smartlogic.mn/api/sale/sale' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"SaleHeaderModel": {
"documentDate": "2025-11-05",
"documentNumber": "88",
"documentDesc": "dolore",
"taxCustomerType": "P",
"taxCustomerId": "",
"taxCustomerName": "",
"totalPayAmount": 206,
"cashAmount": 106,
"totalCardAddedBonus": 0,
"totalCardUsedBonus": 0,
"totalItemDiscount": 0,
"totalCardDiscount": 0,
"email": "[email protected]",
"sellerId": "sit",
"sellerName": "Isabel Wisoky",
"posId": "",
"retailId": ""
},
"SaleLineModel": [
{
"itemId": "quis dolor amet ullamco",
"barcode": "42",
"itemName": "Estelle West",
"qty": 1,
"baseprice": 206,
"price": 206,
"payAmount": 206,
"hasVat": "Y",
"hasCityTax": "Y",
"itemDiscount": 0,
"cardAddedBonus": 0,
"cardUsedBonus": 0
}
],
"SalePayment": [
{
"paymentType": "CASH",
"amount": 106
},
{
"paymentType": "BANK",
"amount": 100,
"bankId": "GOLOMT"
}
]
}'